### Function

# GLib ErrorCopyFunc

since: 2.68

#### Declaration

    void
    (* GErrorCopyFunc) (
      const GError* src_error,
      GError* dest_error
    )

#### Description

Specifies the type of function which is called when an extended error instance is copied. It is passed the pointer to the destination error and source error, and should copy only the fields of the private data from `src_error` to `dest_error`.

Normally, it is better to use G_DEFINE_EXTENDED_ERROR(), as it already takes care of getting the private data from `src_error` and `dest_error`.

Available since: 2.68

#### Parameters

`src_error`

  Type: `GError`

  Source extended error.

  The data is owned by the caller of the function.

`dest_error`

  Type: `GError`

  Destination extended error.

  The data is owned by the caller of the function.